Subject: Re: [RFC PATCH 10/10] gitweb: Show appropriate "Generating..." page when regenerating cache (WIP)

From: Jakub Narebski <[email-masked]>
Date: Mon, 25 Jan 2010 02:17:17 +0100

Jakub Narebski wrote:
> On Sun, 24 Jan 2010, Petr Baudis wrote:
> 
> >   I have stupid question, common to both the original patch and this
> > RFC.
> > 
> > > [RFC PATCH 10/10] gitweb: Show appropriate "Generating..." page when
> > > regenerating cache (WIP)
> > 
> >   Just why is a "Generating..." page appropriate?
> > 
> >   I have to admit I hate it; can you please at least make it
> > configurable? Why is it needed at all? It generates unnecessary
> > redirects, clears my previous page in the browser by a useless
> > placeholder, confuses non-interactive HTTP clients and I just can't
> > see the real purpose.

> Note that the JavaScript-using Ajax-y version from the following patch 
> '[RFC PATCH 11/10] gitweb: Ajax-y "Generating..." page when 
> regenerating cache (WIP)'
>   http://permalink.gmane.org/gmane.comp.version-control.git/137896
> is not visible in browser history, as it simply replaces "Generating..."
> page with the result.  So there is no 'unnecessary redirect', and there
> is no 'useless placeholder' in browser history.

Actually I have checked and the version used on git.kernel.org does show
"Generating..." page, but it does not appear in the history.  I guess
that refresh with no URL does not count as redirect.

-- 
Jakub Narebski
Poland